import QtQuick 2.0
import Qt3D 1.0
import Qt3D.Shapes 1.0

Viewport {
    width: 640
    height: 480
    fillColor: "black"
    objectName: "cube viewport"
    Item3D {
        id: theMesh
        scale: 0.5
        mesh: Mesh {
            source: "http://groups.csail.mit.edu/graphics/classes/6.837/F03/models/cow-nonormals.obj";
            options: "ForceSmooth"
            onLoaded: {
                theMesh.effect = theEffect;
            }
        }

        Effect {
            id: theEffect
            texture: "http://www.filterforge.com/filters/4040.jpg"
        }
    }
}
